PeopleForce
Time

Create overtime request

POST
/api/public/v3/time/overtime_requests

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/public/v3/time/overtime_requests" \  -H "Content-Type: application/json" \  -d '{    "employee_id": 0,    "date": "string",    "starts_at": "string",    "ends_at": "string",    "comment": "string"  }'
{  "data": {    "id": 0,    "date": "string",    "starts_at": "2019-08-24T14:15:22Z",    "ends_at": "2019-08-24T14:15:22Z",    "minutes": 0,    "comment": "string",    "state": "string",    "project": {      "id": 0,      "name": "string"    },    "employee": {      "id": 0,      "first_name": "string",      "last_name": "string"    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}